· KLDP.org · KLDP.net · KLDP Wiki · KLDP BBS ·
codebank

제이름은 조성호입니다.

1994년도 부터인가 LINUX에 관심을 가지고 있었는데 실력은 아직도 별로네요.

좋은 인연되었으면 좋겠습니다.

SquirrelMail and bincimap

최근 Gentoo서버에 조금 문제가 있어서 조금 손보고 나니 couriel-imap이 이상하게 동작을
하더군요. 조금 찾아보니 그냥 다른 imapd을 사용하는게 나을 것 같아서 bincimap이라는 것을 설치했습니다.
일단 OutLook에서는 잘 동작하는 것을 확인했지만 문제는 다람쥐 메일에서 동작을 안하고
다음과 같은 에러를 내보내네요.

Reason Given: BADCHARSET ("US-ASCII") SEARCH failed.

해결방법은 bincimap에서 기본적으로 무언가를 체크한다는데 결국 다음과 같이 해결했습니다.

webmail 홈에서 ./configure 를 실행하고 4. General Options -> 12. Allow server charset search option. ==> false로 선택

자세한 설명은 (bincimap이 작은 웹메일에서만 사용하는 것이라 그렇다는데...)


참조하시면 되겠네요.

UTF-8환경에서 SquirrelMail 사용하기

원래 지원이 되는데 안된건지 아니면 안되는데 되는건지는 잘 모르겠네요.
시스템 : Ubuntu 8.04 Server (?)
환경 : apache 2.2.8, php 5.2.4, squirrelmail 1.4, exim4 4.69-2, dovecot 1:1.0.10-1u
locale : ko_KR.UTF-8

SquirrelMail을 설치하고 확인해보니 한글은 euc-kr만을 지원하고 있네요.
이전에 Gentoo에서는 locale자체를 euc-kr로 맞춰서 사용했었는데 UTF-8환경에서는 언어를
한글로 맞춰도 계속 영문만 나와서 한번 수정해보기로 작정했습니다.
먼저...

/usr/share/squirrelmail/functions/i18n.php
846줄.
$languages'ko_KR''LOCALE' = array('ko_KR.euc-KR','ko_KR.UTF-8');
로 수정

/etc/squirrelmail/config_default.php
1015줄.
$default_charset = 'euc-kr';
로 수정

/WEB SERVER DIRECTORY/squirrelmail/locale/ko_KR
31줄.
$languages'ko_KR''LOCALE' = array ('ko_KR.EUC-KR', 'ko_KR.UTF-8');
로 수정

위와 같이 세부분의 코드를 수정해서 일단 UTF-8환경에서 한글이 나옵니다.
추가로 첫번째 파일의
$languages'ko_KR''XTRA_CODE' = 'korean_charset_xtra';
와 세번째 파일의
$languages'ko_KR''XTRA_CODE' = 'korean_xtra';
에 대한 주석도 일단은 풀어놓고 사용중입니다.(완전하지 않아서 사용에 주의를 요한다고
어디서 들었는데 일단은...)
현재는 한글이 잘표현되고 페이지 인코딩은 EUC-KR로 잡혀서 실행되더군요.
혹시나 잊어버릴까봐 표시해두고... :-)

version GLIBcXX_3.4.9 not found

Gentoo에서 ffmpeg컴파일할 때에

Fails to compile ffmpeg on x86: can't find a register in class `GENERAL_REGS' while reloading `asm'

에러가 발생하는 이유와 대처방법

이버그는 이미 gcc에 보고가 되어있다.


원인 : Pentium4에 관련된 에러같다. 즉, -march를 P4로 했을 때 발생을한다.

방법 : ffmpeg컴파일할때는 -march옵션을 삭제하고 컴파일하면 된다.

Kernel 2.6.8이상에서 CD-ROM안잡히는 문제

devfs를 사용하고 Kernel이 2.6.8이상일 때 CD-ROM이 잡히지 않는 경우가 발생할 수 있다.

이때는 GRUB또는 LILO의 부팅설정에서 hdc=ide-scsi부분을 삭제하면 CD-ROM을 이용할 수 있다.

보통 CD-RW나 DVD콤보를 사용한다면 이런현상을 겪을 수도 있다.

Gentoo - PHP - GD - FreeType

얼마전에 웹에서 이미지를 사용할 일이 있어서 아무생각없이 imagecreate등을 이용해서 파일을 작성했습니다.
문제는 다른 함수는 다 사용이 가능한데 문자에 관련된 함수만이 사용불가능이더군요.
여기저기 찾아보다 var_dump(gd_info());라고 해보라고 어디서 지적하더군요.
해보니 GD에서 FreeType이 적용안되어 있다고 하네요.
이상해서 emerge -pv mod_php를 해보면 분명히 truetype이 포함되어있는데...
더 찾아보니
http://kr.php.net/manual/kr/function.imagettftext.php
문서 중간에있는 것들이 빠져있다고 하더군요. 음... gd와 gd-extented는 포함되어있는데 해당되는 항목은
emerge로 확인이 불가능하더군요.
편법을 사용했습니다.
일단 설치되는 ebuild파일을 열고 직접 해당 문구를 넣어버린거죠.
즉, /usr/portage/dev-php/mod_php/mod_php-5.0.3.ebuild파일을 열고 src_compile () 부분으로 이동한후에
옵션이 적용되는 #use apache2 밑에있는 my_conf변수에
--with-gd --enable-gd-native-ttf --with-ttf --with-freetype-dir=/usr/lib/
를 추가 시켰습니다.
다시 컴파일을하니 원하는 대로 imagettftext()를 사용할 수 있게 되었네요.
5.0.3버젼까지 오면서도 저 부분을 발견하지 못하지는 않았을것도같고...
어쨌든 조만간에 적용이 되어서 나왔으면하는 바램이 있습니다.
이곳에 이글을 적는 이유는... 잊어버릴까봐... :-)

www.gentoo.or.kr 에서 이에관련된 내용에서 다음과 같은 말이 있었습니다.
해당 옵션은 --gd-external이 포함되어있을경우에 포함되지 않는 문제가 있었다는군요.
즉, 위의 --gd-external을 제외하면 --truetype과 --gd만으로도 String관련 함수를 PHP에서
사용할 수 있다고 합니다. :)

Xorg-x11에서 투명적용하기

이미 많은 곳에서 자세하게 설명을 해놓았는데 그냥 간단하게 적용할 분들만 참고하세요.
일단 Xorg-X11은 6.8이상 버젼이 지원되는 걸로 알고 있습니다.(XFree86은 잘 모르겠네요. :))
그리고 다음 패키지를 설치합니다.
emerge xcompmgr
emerge tarnsset
제가 알기로는 xorg-x11 6.8.1 이상에서는 xcompmgr이 기본적으로 포함되어있는 것으로 알고 있습니다.
즉, emerge xcompmgr을 하실 필요가 없다는 소리지요.
xorg에서 직접 지원을 하게 하려면 /etc/X11/xorg.conf 파일에 다음내용을 추가하세요.
Section "Extensions"
    Option "Composite"  "Enable"
EndSection
이렇게하면 적용됩니다. xorg에서 직접 지원을 하기 싫고 그냥 명령으로 사용하려면 xcompmgr을 설치후에
xcompmgr -c &
하시면 됩니다.
이젠 원하는 창에 투명효과를 주는 방법입니다.
원하는 APP를 먼저 실행시키고나서
transset
를 실행시키면 마우스커서가 '+'로 변합니다. 그럼 이 커서를 원하는 창에 놓고 Click하면 해당 창이
투명효과를 가지게 됩니다. 음... 이것을 해지시키는 방법은 안찾아봐서... :)
터미널에서 실행시킨 xcompmgr는 killall xcompmgr로 삭제가 가능하답니다.
자세한 설명은
http://gentoo-wiki.com/TIP_Xorg_X11_and_Tranparency

위 링크를 참고하세요. 위 링크에는 nVidia에서 속도를 높이는 방법도 나와있습니다.

제가 잠시 사용해본봐로는 상당한 인내심이 필요하더군요. 그냥 심심풀이로 해볼만은 하지만 직접
투명효과를 넣어주고 사용하려면 인지시간이 오래걸리는 것 같습니다.

XML::Parser perl module error

간혹 Gentoo에서 perl모듈을 사용하는(실제로 사용하는지 분석전엔 알 수 없지만...) 프로그램을 emerge
하다보면 아래와 같은 메시지를 만나곤 할 때가 있습니다.
...
error: XML::Parser perl module is required for intltool
...
한참만에 시스템전체를 emerge하거나 (emerge -auDN world) 할경우 가끔 발생하더군요.
해결방법은
# emerge perl libxml-perl XML-Parser
하면 된다고 Gentoo Forums에 나와있습니다.

libtool: command not found error

1년여전에 Gentoo를 설치한 연습용 시스템을 오랜만에 emerge -auDN world 로 Upgrade중이였습니다.
잘 되어가던 Upgrade가 어느순간 에러를 발생하면서 emerge가 멈추더군요.
예전에도 간혹 이런일이 있었고 해당 패키지의 컴파일 디렉토리(보통 /var/tmp/portage/ 아래 해당 패키지의
컴파일 디렉토리가 있습니다.) 전체를 삭제해줌으로써 문제를 해결하곤 했었습니다.
문제는 이렇게 해결되지 않았고 결국 http://gentoo-wiki.com/ 에서 문제에 대한 해답을 찾아보니 libtool의
최신버젼에 문제가 있는 듯이 보여지더군요. 즉, libtool을 한단계 낮은 버젼으로 설치해야만 가능하다는 답변이었
습니다. 그러나 마지막 답변 내용을 보니 의외로 손쉬운 방법이 있더군요. 이것이 bash에서만 그런현상이 일어난건지
아니면 libtool의 자체적인 잘못 때문인지 SED를 직접 지정해주면 가능해지더군요.
저는 /etc/env.d/02useretc 라는 파일을 만들고 그곳에
# cat /etc/env.d/02useretc
...
export SED='/bin/sed'
...
이렇게 추가하고
# env-update
# source /etc/profile
이렇게 환경변수를 다시 설정한 후에 emerge를 다시 해줌으로써 문제를 해결했습니다.
여기에 쓰여진 방법은 임시방편이며 추후에 수정되어질 것으로 생각되며 최근에 배포된 이미지로 설치하였을 경우에는
문제가 없을 수 있음을 알려드립니다. 또한 현재 제가 사용하는 배포판은 Gentoo임으로 다른 배포판에서는 수정되어질
파일이나 실행되어질 명령어에 차이가 있을 수 있음을 밝혀둡니다.

codebank

아~ 이전에 만들어 놓았던 페이지가 사라졌군요. -.-;
이전에 작성했던 글이 무엇이었는지 잊어버렸는데...
생각나면 또 정리하겠습니다.

복구했습니다. 구페이지를 통해서 복구하실 수 있습니다. --WkPark
고맙습니다. :-) wiki 사용이 서툴러서요. --codebank


ID
Password
Join
Make a wish, it might come true.


sponsored by andamiro
sponsored by cdnetworks
sponsored by HP

Valid XHTML 1.0! Valid CSS! powered by MoniWiki
last modified 2009-03-26 11:18:28
Processing time 0.0125 sec